package com.brtchip.swing;

import java.util.HashMap;

import javax.swing.Icon;
import javax.swing.ImageIcon;

public class IconStore {
	
	private static final HashMap<String,Icon> icons = new HashMap<String, Icon>();
	
	/** 
	 * Load a preloaded icon, or load a new icon
	 * @param path The path to the resource to load
	 * @return An Icon object
	 */
	public static Icon LoadIcon(String path)
	{
		Icon icon = icons.get(path);
		if (icon == null)
		{
			IconStore myclass = new IconStore();
			java.net.URL res = myclass.getClass().getResource(path);
			//System.out.println("Loading Icon \""+path+"\" URL="+res);
			icon = new ImageIcon(res);
			icons.put(path, icon);
		}
		return icon;
	}

}
